Subject: Re: linux-next: build failure after merge of the crypto tree

From: Herbert Xu <[email-masked]>
Date: Wed, 13 Mar 2024 10:36:47 +0800

On Tue, Mar 12, 2024 at 07:29:12PM -0700, Eric Biggers wrote:
> 
> comp_alg_common was part of the implementation of STATS.

I understand that comp_alg_common becomes trivial without stats,
but it is still something that is useful in the API because for
a given acomp tfm, we don't know whether it's an acomp_alg or
scomp_alg.

> I'll do the best I can to interpret your request, but if you could actually
> review my original patch and let me know if there are any other specific changes
> you'd like besides keeping comp_alg_common, that would be helpful as then maybe
> the next version won't get reverted.

I think comp_alg_common is the only part that should be excised.

Thanks,
-- 
Email: Herbert Xu <[email-masked]>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt